Bug 398651 - Can not set NCQ queue_depth with sata_mv
Can not set NCQ queue_depth with sata_mv
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 14:57 EST by Brian Rademacher
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 18:48:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Rademacher 2007-11-25 14:57:59 EST
Description of problem:

Setting queue_depth in /sys/block/sd(x)/device results in "queue_depth: 
Permission denied".  Changing permissions results in "write error: Input/output 
error".

Controller is: Marvell Technology Group Ltd. MV88SX6081 8-port SATA II PCI-X 
Controller (rev 09)

Drives are all Seagate ST3320620AS, firmware 3.AAK.  HDPARM reports NCQ 
capability, queue depth of 32.  DMESG shows disabled on boot:
ata1.00: 625142448 sectors, multi 0: LBA48 NCQ (depth 0/32)
ata2.00: 625142448 sectors, multi 0: LBA48 NCQ (depth 0/32)
ata3.00: 625142448 sectors, multi 0: LBA48 NCQ (depth 0/32)
ata4.00: 625142448 sectors, multi 0: LBA48 NCQ (depth 0/32)


Version-Release number of selected component (if applicable):

2.6.23.8-62.fc8 #1 SMP Tue Nov 20 15:25:44 EST 2007 x86_64 x86_64 x86_64 
GNU/Linux

Additional info:

I've searched and can't find that my controller and/or drives are blacklisted 
for NCQ, but this is one possibility.  sata_mv may also be missing the 
functionality to change this parameter.
Comment 1 Chuck Ebbert 2007-11-27 18:48:14 EST
sata_mv does not support NCQ. Future support is planned, though.

Note You need to log in before you can comment on or make changes to this bug.